program Main;

{$APPTYPE CONSOLE}

uses
  SysUtils;
var
  filein,fileout:textfile;
  B,A,N:integer;
begin
  assignfile(filein,'D.in');
  reset(filein);
  readln(filein,B,A,N);
  closefile(filein);
  assignfile(fileout,'D.out');
  rewrite(fileout);
  writeln(fileout,B-round(B*N/A));
  closefile(fileout);
end.
